      program mendfile
c This program mends back the ecmwf windfield files, which have been
c splitted into many little files by <splitfile.f> into one big sorted
c file <ecmwf.all>. It uses the file <headers.sort>, which has been created
c by sorting the file <headers.all> with Unix-Sort.

      implicit none
      
c Open file <ecmwf.all> for writing files <date.time> into it
      open (54,file='ecmwf.all')
      write (*,*)
      write (*,*) 'Composing file: ecmwf.all'
      call createall
      write (*,*)
      write (*,*) 'File composed: ecmwf.all'
      write (*,*) 'Covered period: coverage.all' 
      close (54)
      end
      

c ************************************************************


      subroutine createall
c This subroutine takes sorted info from file <headers.sort>
c and subsequently copies the content of the according
c <date.time> files into the big file <ecmwf.all>.
c Before doing so, it copies the banner of file1 in
c <trajekt.conf> to <ecmwf.all>. Finally a little time evaluation
c is carried out to view the covered time period

      implicit none
      integer idate, itime, jdate, jtime, edate, etime
      character hd*70, nd*65, fntdf*15,pdat*4
      parameter (pdat='DATE') 

c Write banner from first file in <trajekt.conf> to
c the file <ecmwf.all>
      open (58,file='trajekt.conf',status='old')
      read (58,'(a)') hd
      close (58)
      open (59,file=hd,status='old')
    3 read (59,'(a)') hd 
      if (hd(1:4).ne.pdat) then
         write (54,'(a)') hd
         goto 3
      endif
      close (59)

c Open file <headers.sort>, which contains sorted headers, read it
c and append one file after another to <ecmwf.all>. Delete the
c files <date.time> after having done so.
      open (55,file='headers.sort',status='old')
    1 read (55,'(a)',end=10) fntdf
      open (56,file=fntdf,status='old')
      write (*,*) 'Appending: ',fntdf
      read (56,'(a)') hd 
      write (54,'(a)') hd
    2 read (56,'(a)',end=20) nd 
      write (54,'(a)') nd
      goto 2
   20 close (56,status='delete')
      goto 1

c Evaluate headers in <headers.sort> to find out which periods of  
c time are covered. Store this info in <coverage.all>.

   10 rewind (55)
      open (57, file='coverage.all')
      read (55,'(a)') fntdf
      read (fntdf,'(i8,x,i6)') jdate,jtime
      write (57,*) 'Begin: ',jdate,jtime
c Compare entries, whether they are in a sequence or not
    7 itime=jtime+30000
      idate=jdate
      edate=jdate
      etime=jtime
      if (itime.eq.240000) then
         itime=0
         idate=jdate+1
      endif
      read (55,'(a)',end=30) fntdf
      read (fntdf,'(i8,x,i6)') jdate,jtime
      if ((jdate.ne.idate).or.(jtime.ne.itime)) then   
         write (57,*) 'End:   ', edate,etime
         write (57,*) 'Begin: ', jdate,jtime
      endif     
      goto 7
   30 write (57,*) 'End:   ', edate,etime
      close (57)
      close (55)
      return
      end


