      program splitfile
c This program splits the ecmwf windfield files into
c little files containing the trajectories of a period
c of 3 hours.
c Thus it prepares for the Unix-utility Sort.

      implicit none
      character fname*80

c Open configuration file (file containing names of input files)
c and read filenames
      open (50, file='trajekt.conf',status='old')
    1 read (50, '(a)',end=10) fname

c Open file headers.all, where all fileheaders (lines containing date
c and time) will be put into, and which afterwards is to be sorted 
      open (51,file='headers.all')
      write (*,*)

c Call subroutine findheader, which will split the file <fname> into
c many little files
      write (*,*) 'PROCESSING: ',fname 
      call findheader(fname)
      goto 1

c Close files <headers.all> and <fname>
   10 close (50)
      close (51) 
      end


c ****************************************************************


      subroutine findheader(fname)
c This subroutine performs most of the work neccessary:
c Find headers, write them into the file <headers.all>,
c write content into date.time files

      implicit none
      integer j, idate, itime, isi, inumb
      character hd*70, nd*65, pdat*4, fntdf*15, fname*80 
      parameter (pdat='DATE') 
      

c Find header in file <fname>
      open (52,file=fname,status='old')
    2 read (52,'(a)',end=11) hd 
      if (hd(1:4).ne.pdat) then
         goto 2
      endif

c Having found header, read header info, write it into file <headers.all>
c and write content in new created date.time files
      read (hd,100) idate,itime,isi,inumb
      write (fntdf,101) idate,'.',itime
      write (51,'(a)') fntdf 
      write (*,*) 'Writing file: ',fntdf
      open (53,file=fntdf,status='new')
         write (53,'(a)') hd
         do 10 j=1,inumb+1
            read (52,'(a)') nd 
            write (53,'(a)') nd
   10    continue
      close (53)
      goto 2     
   11 write (*,*) 'no more headers found'
      close (52)
      return
c Format for reading in header info
  100     format (6x,i8,11x,i6,16x,i1,18x,i3)
c Format for creating filename date.time
  101     format (i8,a1,i6)
      end
