      subroutine subtractoro()
********************************************************************************
*                                                                              *
*   This routine subtracts the height of the orography from the height above   *
*   sea level to give height above the model ground.                           *
*                                                                              *
*     Author: A. Stohl                                                         *
*                                                                              *
*     30 April 1994                                                            *
*                                                                              *
********************************************************************************
*                                                                              *
* Variables:                                                                   *
* dist                           distance of starting point to grid points     *
* numpoint                       actual number of starting points              *
* oro(0:nxmax-1,0:nymax-1)       interpolated orography                        *
* orohelp                        interpolated orography                        *
* sweight                        weight for linear interpolation               *
* xpoint,ypoint,zpoint(maxpoint) x,y,z coordinates of starting points          *
*                                                                              *
* Constants:                                                                   *
* eps                            tiny number                                   *
* maxpoint                       maximum number of starting points             *
*                                                                              *
********************************************************************************

      include 'includepar'
      include 'includecom'

      integer k
      real orohelp

      
      do 10 k=1,numpoint          ! loop over all starting points

C Only subtract for those trajectories with z coordinates given in masl
***********************************************************************

        if (kindz(k).eq.1) then


C Interpolate orography to position of starting point
*****************************************************

          call orolininterpol(oro,nxmax,nymax,nx,ny,xpoint(k),
     +    ypoint(k),orohelp)


C Subtract orography from height, but don't accept negative heights
*******************************************************************

          zpoint(k)=zpoint(k)-orohelp
          zpoint(k)=max(0.,zpoint(k))
        endif
10      continue

      return
      end
